/* edit.css - file used in the txtmus editor */
@page {margin:0}
svg {display:block;background-color:#fff}
.musr {fill: #d00000; fill-opacity: 0; z-index: 15}
@media screen {
	body, html {height: 90%}
	text, path {pointer-events: none}
/*	svg {margin-left:auto;margin-right:0}*/
	#dleft {
		width: 50%;
		position: absolute;
		/*top: 0; bottom:0; left: 0;*/
		inset: 0 auto 0 0;
		padding: 0;
		margin: 0;
		z-index: 2;
		background-color:#faf0e6;
	}
	#dleft:hover, #dright:hover {z-index: 5 !important}
/*	#dleft:focus {z-index: 7 !important}*/
	#menu {
		position: relative;
		width: 100%
		padding: 0;
		margin: 5px;
		background-color: #ccc;
	}
	.drop-btn {
/*		float: left;*/
		display: inline-block;
		width: 90px;
		text-align: center;
		cursor: pointer;
		padding: 0;
		margin: 4px 0;
	}
	.drop-btn:hover { background: #eee }
/*	.drop-btn:focus > .drop-item { does not work correctly*/
	.drop-btn:hover > .drop-item {
/*		visibility: visible; */
		display: block;
	}
	.drop-item {
		list-style-type: none;
		position: absolute;
		min-width: 80px;
		background-color: #ccc;
/*		visibility: hidden;*/
		display: none;
		z-index: 20;
		text-align: left;
		padding: 4px;
		margin: 0;
	}
	.drop-item li:hover {
		background-color: #eee;
	}
	.edita {
		background-color: #fff;
		font: 14px monospace;
		width: 100%;
		height: 85%;
		overflow: auto;
		border: 1px solid;
		margin: 5px;
		padding: 5px;
		white-space: pre;
	}
	#dright {
		width: 80%;
		max-width: 816px;
		position: absolute;
		/*top: 0; bottom:0; right:0;*/
		inset: 0 0 0 auto;
		z-index: 2;
		background-color:#faf0e6;
		overflow: auto
	}
/*	#dright:active {z-index: 5 !important}*/
	.popup {
		position: absolute; top: 0; right: 20px;
		padding: 10px;
		background-color: #eee;
		border-radius: 5px;
		visibility: hidden;
		z-index: 20;
	}
	.close {
		position: absolute;
		/*top: 10px;right: 20px;*/
		inset: 10px 20px auto auto;
		font-size: 20px;
		font-weight: bold;
		color: red;
	}
	#abckbd td {
		border: 1px solid black;
		padding: 0.5rem;
		text-align: center;
	}
	#ctxMenu {
		position:absolute;
		display:none;
		/*left:0px;top:0px;*/
		inset: 0 auto auto 0;
		height:20px;
		width:40px;
		padding:0;
		margin:0;
		border:1px solid;
		background-color: white;
		font-weight:normal;
		white-space:nowrap;
		z-index: 80;
	}
	#ctxMenu:hover > ul {
		display:block;
	}
	#ctxMenu:before {
		content:attr(title);
	}
}
@media print {
	#dleft, #ctxMenu, .popup { display: none }
	body {
		margin:0; padding:0; border:0;
		background-color: white;
	}
	#dright { margin:0; padding:0; border:0 }
	.newpage { break-before: page }
	.newpage:first-of-type { break-before: avoid }
	.nobrk { break-inside: avoid }
}
